[tox]
minversion = 2.0
skipsdist = True
envlist = py3,pep8

[testenv]
basepython = python3
usedevelop = True
install_command = pip install {opts} {packages}
deps =
       -c{env:TOX_CONSTRAINTS_FILE:https://releases.openstack.org/constraints/upper/master}
       -r{toxinidir}/requirements.txt
       -r{toxinidir}/test-requirements.txt
commands =
  stestr run --slowest {posargs}

[tox:jenkins]
sitepackages = True

[testenv:pep8]
commands = flake8

[testenv:cover]
setenv =
    PYTHON=coverage run --source os_apply_config --parallel-mode
commands =
    stestr run {posargs}
    coverage combine
    coverage html -d cover
    coverage xml -o cover/coverage.xml

[testenv:venv]
commands = {posargs}

[flake8]
exclude = .venv,.tox,dist,doc,*.egg
show-source = true
